Skip to main content
POST
/
v2
/
teams
/
{teamId}
/
integrations
/
custom
Create Custom Integration
curl --request POST \
  --url https://api.duvo.ai/v2/teams/{teamId}/integrations/custom \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "server_url": "<string>",
  "oauth_client_id": "<string>",
  "oauth_client_secret": "<string>"
}
'
{
  "id": "<string>",
  "name": "<string>",
  "type": "<string>",
  "provider": "<string>",
  "user_id": "<string>",
  "team_id": "<string>",
  "composio_mcp_id": null,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "server_url": "<string>",
  "auth_method": "<string>",
  "custom_integration_id": "<string>",
  "icon_url": "<string>",
  "oauth_provider": "<string>",
  "oauth_provider_key": "<string>",
  "oauth_scopes": [
    "<string>"
  ],
  "has_headers": true,
  "has_oauth_tokens": true,
  "integration_id": "<string>",
  "shared": true,
  "created_by": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.duvo.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication. Get your API key from the Duvo dashboard.

Path Parameters

teamId
string
required

Body

application/json
name
string
required
Minimum string length: 1
auth_method
enum<string>
required
Available options:
url,
apikey,
headers,
oauth
server_url
string<uri>
required
oauth_client_id
string
Minimum string length: 1
oauth_client_secret
string
Minimum string length: 1

Response

Default Response

id
string
required
name
string
required
type
string
required
provider
string
required
user_id
string | null
required
team_id
string
required
composio_mcp_id
string | null
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
server_url
string
transport_type
enum<string>
Available options:
stdio,
sse,
http
auth_method
string | null
custom_integration_id
string | null
icon_url
string | null
oauth_provider
string | null
oauth_provider_key
string | null
oauth_scopes
string[] | null
has_headers
boolean
has_oauth_tokens
boolean
integration_id
string | null
shared
boolean
created_by
string | null